import path_setting
from in_common.base_request import BaseRequest


class xcx_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.XCX_GENGMEI_GET_WXACODE_UNLIMITED_CONFIG)

    # 测颜值结果页获取小程序分享二维码
    def gengmei_get_wxacode_unlimited(self,page,scene):
        self.params["page"] = page
        self.params["scene"] = scene

        return self.api_send(self.data["get_wxacode_unlimited"])






if __name__ == '__main__':
    print(xcx_request().gengmei_get_wxacode_unlimited("pages/scanFace/report/main","scan_code=gm_code&fid=27923989"))
